Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 29-09-2018 17:49:45

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Raspbian
Inscription : 11-08-2015

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

CloDeClo, regarde, aussi, ceci: https://debian-facile.org/viewtopic.php?id=22414

Hors ligne

#27 29-09-2018 18:39:16

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour

il a un 2400G (cpu + apu) Raven Ridge , le noyau minimum est le 4.18 (le 4.17 et inférieur ça ne fonctionne pas )
donc comme il veut rester en stable stretch , il a fait le bon choix , il fonctionne en basic mais sans bug.
je pense qu il continue a suivre mon fil sur Raven donc il est au courant de ma configuration , des progrès et des bugs ............  tongue

ps: il doit savoir que avec gnome avec l'apu ça tourne nickel en X et en Wayland avec la version des paquets de Buster.

pour rappel , noyau 4.18.0 (minimum) , firmware buster (version) , mesa 18 , il manque la mise a jour du paquet xserver-xorg-video-amdgpu (même sur buster)
je suppose qu il teste avec les backports de stretch

@Beta-Pictoris
le lien que tu donne c'est pour du Ryzen1  =>  CPU : Ryzen 5 1600. CG : MSI GeForce GT 1030

rappel  =>  https://debian-facile.org/viewtopic.php … 14#p278114

celui qui lit tout c'est un courageux  ,  de quoi faire un livre tongue   lol

@CloDeClo
le 4.18 est dans les backports de stretch (celui que j' utilise actuellement ) =>  https://tracker.debian.org/pkg/linux
idem pour le firmware => https://packages.debian.org/stretch-bac … d-graphics (version que j' utilise ).

pour mesa c'est plus compliqué beaucoup de dépendances  =>  https://packages.debian.org/fr/stretch- … 1-mesa-dri
ps: le minimum c'est libgl1-mesa-dri et libgl1-mesa-glx (méta-paquet) et en dépendances ça va te ramener un tas de truc des backports.

le driver n'est pas dans les backports de stretch  =>  https://packages.debian.org/fr/stretch/ … deo-amdgpu

je pense qu il faut compter plus de deux ans pour Buster stable , donc patience  roll

nota: fait toujours une simulation avec "-s"(moins de risques ) et utilise aptitude le cas ou

Dernière modification par robert2a (30-09-2018 16:18:25)

Hors ligne

#28 30-09-2018 15:40:19

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour,
merci à tous, je n'attendais pas autant de réactions à une simple actualisation du sujet.

Rien à redire au topo de robert2a : grâce à ses contributions et à l'aide trouvée sur ce forum, mon problème est bien identifié et serait certainement résolu si je n'étais du genre "utilisateur frileux" (Debian Facile DFL9 Jessie avec XFCE et beaucoup de réticences à recourir aux backports !).

J'ai un peu cessé mes recherches tout azimut mais je suis l'évolution des paquets concernés et le fil https://debian-facile.org/viewtopic.php … 14#p278114 tout particulièrement.

@robert2a : pour les backports, je pense être dans la "ligne officielle du parti"

deb http://deb.debian.org/debian stretch-backports main contrib non-free
deb http://deb.debian.org/debian stretch-backports main

La consultation de https://packages.debian.org/fr/stretch- … ders-amd64
indique depuis aujourd'hui seulement la disponibilité de linux-headers-4.18.0-0.bpo.1-amd64 (pas le cas hier, j'avais vérifié)
et Synaptic confirme... Donc idem à quelques heures près.

ça signifie que je vais me planifier une séance de travail pour effectuer mes sauvegardes (CloneZilla pour les système, compactage archivage externe pour mes données) avant de tenter la mise à niveau complète (Kernel + drivers AMD)

Merci encore et à suivre...

Hors ligne

#29 30-09-2018 16:44:47

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Moi je le ferais pas , il y a déjà deux paquets qui posent problème.
xserver-xorg-core et xserver-xorg-video-amdgpu (apu inconnu) sur stretch et je passe les dépendances

il y a aussi mesa18 qui est un gros morceau et risque de faire entrer beaucoup de paquets des backports.

tu peu tester uniquement noyau et firmware des backports pour voir

la ligne a ajouter sur le sources.list est celle ci uniquement


deb http://deb.debian.org/debian stretch-backports main contrib non-free
 


la seconde est un doublon a désactiver
même sous buster , chipset inconnu (sur ma machine) sous X


[    21.054] (--) AMDGPU(0): Chipset: "Unknown AMD Radeon GPU" (ChipID = 0x15dd)
 



ps: j'aurai pas utiliser les méta-paquets des backports et je n' aurai,pas installé les headers des backports (normalement tu n'en a pas besoin)
pour revenir en arrière , juste enlevé le noyau et le firmware des backports

Dernière modification par robert2a (30-09-2018 16:48:51)

Hors ligne

#30 06-10-2018 08:51:19

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour,
yes.gifbien vu robert2a et merci :merci.gif
je n'ai conservé que

deb http://deb.debian.org/debian stretch-backports main contrib non-free

et une erreur que je ne m'expliquais pas lors de la mise-à-jour du cache dans Synaptic a disparu...

Juste pour information, une actualisation de la situation de mon système...
j'avais déjà effectué la mise à jour du BIOS PRIME B350M-A : Version 4023  du 2018/09/14 8...
j'ai en plus effectué la mise-à-jour complète DFL9 (stretch) + backports (Kernel + drivers AMD) il y a quelques jours :
installation du noyau 4.18.6-1~bpo9+1, mises-à-niveau
firmware-amd-graphics  vers la version 20180825+dfsg-1~bpo9+1 (versus 20180825+dfsg-1 en SID)
firmware-linux vers la version 20180825+dfsg-1~bpo9+1
firmware-linux-nonfree vers la version 20180825+dfsg-1~bpo9+1
firmware-misc-nonfree vers la version 20180825+dfsg-1~bpo9+1

à cette occasion aussi, suppression du noyau 4.17 (je préfère le 4.16.0-0.bpo.2-rt-amd64 s'il fallait revenir en arrière), mise-à-niveau en 4.9.110-3+deb9u5 du noyau stretch (que je conserve à jour, sans l'utiliser).
Cela a bien redémarré mais à la lecture d'une vidéo par VLC, pas de son, une barre d'outils envahissante et très laide. La vidéo en plein écran est correcte.
Donc immédiatement retour au driver par défaut  en neutralisant (renommant) le fichier /lib/firmware/amdgpu/raven_gpu_info.bin et pour retrouver au démarrage ma bonne vieille erreur

amdgpu 0000:08:00.0: firmware: failed to load amdgpu/raven_gpu_info.bin


NB : pour les autres paquets concernés, je suis avec
mesa-va-drivers (18.1.6-1~bpo9+1) (versus 18.1.8-1 en SID)
mesa-vdpau-drivers (18.1.6-1~bpo9+1) (versus 18.1.8-1 en SID)
xserver-xorg-video-amdgpu, actuellement stretch seulement version 1.2.0-1+b1 (versus 18.0.1-1 en SID)
mesa-utils actuellement stretch seulement version 8.3.0-3 (versus 8.4.0-1 en SID)
xserver-xorg-core actuellement stretch seulement version 2:1.19.2-1+deb9u2 (versus 2:1.20.1-4 en SID)

Depuis, aucun plantage constaté à la sortie de veille, cela me paraît aussi stable qu'en 4.16

Je repasse en veille en attente des prochaines mises-à-jour.
à suivre...

Hors ligne

#31 06-10-2018 17:49:45

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour
tu ne donne pas la version de libgl1-mesa-dri et libgl1-mesa-glx (méta-paquet) sur ton système ?

pour ton bureau "xfce" je n'ai fait aucun test , pour information mate ne fonctionne plus sur ma machine.
j'utilise gnome , gnome-classic ou gnome sur X.
sous buster ,jeux ,vidéo , et application tout fonctionne bien
nota: je n'ai pas testé mate avec lightdm (j'utilise gdm3 avec gnome donc mate aussi sous gdm3)

il semble que buster risque de passer stable vers juin 2019 (mais ce n'est pas officiel , correspond au cycle normal d une testing ).
ps: ce matin j'ai installé wordpress sur le raven , ça va faire pas mal de temps que je n'ai plus aucun freeze.

on a pas de retour de membre avec ce cpu sous debian sur le forum.  roll

j'utilise mpv (ou mpv-gnome) pour lire les vidéos , vlc n'est pas installé. (pour l'audio , soit par la sortie HDMI , soit par la carte son (les deux fonctionnent ) ).

Hors ligne

#32 07-10-2018 17:13:43

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour,
yes.giftrès bonne question robert2a !!!

tu ne donne pas la version de libgl1-mesa-dri et libgl1-mesa-glx (méta-paquet) sur ton système ?

Je ne l'avais pas vu, là aussi, besoin d'upgrader... Merci :
libgl1-mesa-dri et libgl1-mesa-glx étaient restés en version 13.0.6-1+b2 alors que 18.1.6-1~bpo9+1 sont disponibles en backports.

De nouveau ce constat : Synaptic ne signale pas ces mises-à-niveau ??? Bug de Synaptic ou je n'ai encore rien compris ???
pour libgl1-mesa-glx, encore je pourrais imaginer qu'il ne propose pas de lui-même d'installer des nouveaux paquets ;
mais pour libgl1-mesa-dri, il y a une 2ème MAJ qu'il aurait du aussi signaler !!!!... Alors ???

Bon, je le fais en terminal puisque je sais maintenant contourner en passant par les commandes

apt-get -t stretch-backports install "nom-du-paquet"


Pour libgl1-mesa-dri

Les paquets suivants seront mis à jour :
  libgl1-mesa-dri libgl1-mesa-dri:i386
2 mis à jour, 0 nouvellement installés, 0 à enlever et 159 non mis à jour.


Pour libgl1-mesa-glx

Les NOUVEAUX paquets suivants seront installés :
  libgl1 libgl1:i386 libgles2 libglvnd0 libglvnd0:i386 libglx-mesa0
  libglx-mesa0:i386 libglx0 libglx0:i386
Les paquets suivants seront mis à jour :
  libgl1-mesa-glx libgl1-mesa-glx:i386 libglapi-mesa libglapi-mesa:i386
  libgles2-mesa libosmesa6 libosmesa6:i386
7 mis à jour, 9 nouvellement installés, 0 à enlever et 154 non mis à jour.


Je note aussi

Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libllvm3.9:i386 libtxc-dxtn-s2tc libtxc-dxtn-s2tc:i386


Donc suppression complète par Synaptic

ibllvm3.9:i386 sera désinstallé ainsi que ses fichiers de configuration
libtxc-dxtn-s2tc sera désinstallé ainsi que ses fichiers de configuration
libtxc-dxtn-s2tc:i386 sera désinstallé ainsi que ses fichiers de configuration


Pour voir, j'ai rétabli /lib/firmware/amdgpu/raven_gpu_info.bin, redémarré et fait un essai de VLC.
Pas de changement : lecture vidéo de VLC sans son et la barre outil insupportable...
Donc re-neutralisation de /lib/firmware/amdgpu/raven_gpu_info.bin et retour au driver par défaut.
L'avantage est que l'essai est facile à effectuer.

Et pour compléter l'état des lieux :
libgl1-mesa-dri : passé en 18.1.6-1~bpo9+1 (versus 18.1.8-1 en SID)
libgl1-mesa-glx : passé en 18.1.6-1~bpo9+1 (versus 18.1.8-1 en SID)

=> de nouveau en veille en attente des prochaines mises-à-jour. Merci merci.gif
à suivre...

Hors ligne

#33 20-12-2018 17:45:53

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonsoir,
nouvel épisode et je crains que ce ne soit pas encore la fin...

D'abord, bilan de fonctionnement du système précédent (noyau 4.18.0.0 avec le driver générique) : de temps en temps un plantage, généralement lié à l'entrée/sortie de veille...

Attente du noyau :  4.19.11 maintenant en stable et toujours pas en backports : depuis 4.19.5, je le pensais imminent mais ça n'a pas l'air facile à finaliser
https://www.lemondeinformatique.fr/actu … 72762.html

Je constate (en surveillant les backports !) qu'un 4.18.0-0.bpo.3 vient de sortir, je tente la mise-à-niveau en ajoutant tous les "mesa"
Donc via console

apt-get -t stretch-backports install "nom-du-paquet"

The following additional packages will be installed:
  linux-headers-4.18.0-0.bpo.3-amd64 linux-headers-4.18.0-0.bpo.3-common
  linux-image-4.18.0-0.bpo.3-amd64

Via Synaptic

libgl1-mesa-dri (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libgl1-mesa-dri:i386 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libgl1-mesa-glx (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libgl1-mesa-glx:i386 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libglapi-mesa (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libglapi-mesa:i386 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libgles2-mesa (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libglx-mesa0 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libglx-mesa0:i386 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libosmesa6 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
libosmesa6:i386 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
mesa-va-drivers (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
mesa-va-drivers:i386 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
mesa-vdpau-drivers (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1
mesa-vdpau-drivers:i386 (version 18.1.6-1~bpo9+1) sera mis à niveau vers la version 18.2.6-1~bpo9+1

Et maintenant, je croise les doigts...

Si quelqu'un pouvait m'expliquer pourquoi Synaptic me signale bien la disponibilité de nouvelles versions y compris sur les backports (ex les "mesa", linux-kbuild-4.18 en version 4.18.20-2~bpo9+1) mais rien pour linux-headers-4.18 et linux-image-4.18 ?

Par contre, je comprends bien qu'il ne me dira rien si un linux-image-4.19 apparaît : je continue à surveiller https://packages.debian.org/fr/stretch- … mage-amd64...
Et encore à suivre !

Hors ligne

#34 21-12-2018 00:15:18

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour
tant que tu ne migre pas vers Buster tu aura des soucis , ça fait bien longtemps que mon Raven tourne bien sans bugs.
le 4.19.11 ne t' apportera rien , je l'ai installé sur ma machine en test .


Linux raven2200g 4.19.0-1-amd64 #1 SMP Debian 4.19.9-1 (2018-12-16) x86_64 GNU/Linux
 



il y a quelques différences (le 4.20 va en apporter aussi pour amd).mais a l'utilisation rien de spécial.

Hors ligne

#35 21-12-2018 08:24:50

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour,
effectivement souci : plus moyen de lire une vidéo, VLC part directement à la trappe. Cela ajoute 2 lignes dans "dmesg" :

[   96.463646] vlc[2005]: segfault at 0 ip 0000000000000000 sp 00007f1cd64b1528 error 14 in vlc[5606db771000+3000]
[   96.463656] Code: Bad RIP value.

qui est totalement hermétique pour moi...
Donc marche-arrière prévue en cours de journée (cause créneau de disponibilité) grace à CloneZilla...

Merci robert2a. Effectivement, j'envisage d'essayer Buster à terme. Mais pas tant que 4.19 n'y est pas arrivé. D'après moi, c'est toujours du 4.18.0-3 (4.18+100).
Ce n'est qu'en SID qu'on trouve 4.19.0-1 (4.19+101)

NB : en regardant de près ce que Synaptic affiche réponse à ma question....

pourquoi Synaptic me signale ... rien pour linux-headers-4.18 et linux-image-4.18 ?

Normal car linux-image-4.18.0-0.bpo.3-amd64 est un nouveau paquet et pas une mise-à-niveau de linux-image-4.18.0-0.bpo.1-amd64 !

Hors ligne

#36 12-01-2019 23:54:21

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonsoir,
ça y est ! noyau 4.19 disponible en backports
Suite à mes essais plutôt positifs de debian-live-testing-amd64-xfce.iso  du  2019-01-07 (voir ce sujet), j'étais en train d'envisager de migrer à buster (quand même pas rien  : 450 paquets nouveaux, 1537 à mettre à jour et 23 à supprimer sur une 1ère simulation brutale avec synaptic !)...
Désolé robert2a, migration buster reportée, je reste backports pour voir.
Demain, séance de clonezilla puis de mise à jour programmée en urgence !

Hors ligne

#37 14-01-2019 09:35:08

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour,

mise à jour effectuée sans problème apparent :

uname -a

Linux DFL9 4.19.0-0.bpo.1-amd64 #1 SMP Debian 4.19.12-1~bpo9+1 (2018-12-30) x86_64 GNU/Linux


mais quelque chose cloche certainement là-dedans...
J'ai collecté plein d'informations et fait pas mal de manipulations...
Mon problème habituel : en faire une synthèse "buvable"...

Je n'ai rien trouvé d'alarmant dans tout ça :

glxinfo | grep OpenGL

OpenGL vendor string: VMware, Inc.
OpenGL renderer string: llvmpipe (LLVM 6.0, 128 bits)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 18.2.6
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.1 Mesa 18.2.6
OpenGL shading language version string: 1.40
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 18.2.6
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

Dans /var/log/Xorg.0.log je relève juste

[     6.326] (WW) Falling back to old probe method for fbdev
[     6.326] (WW) Falling back to old probe method for vesa
[     6.540] EGL_MESA_drm_image required.
[     6.541] (EE) modeset(0): glamor initialization failed

Dans sudo dmesg, la recherche de "failed" puis "error" :

[    0.930817] gpio_generic: module verification failed: signature and/or required key missing - tainting kernel
[    3.395940] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
[    3.925793] [drm:construct [amdgpu]] *ERROR* construct: Invalid Connector ObjectID from Adapter Service for connector index:2! type 0 expected 3

idem dans /var/log/syslog du dernier démarrage, 4 "error" et 6 "failed"

Jan 14 07:41:39 DFL9 kernel: [    3.395940] EXT4-fs (sda1): re-mounted. Opts: errors=remount-ro
Jan 14 07:41:39 DFL9 kernel: [    3.925793] [drm:construct [amdgpu]] *ERROR* construct: Invalid Connector ObjectID from Adapter Service for connector index:2! type 0 expected 3
Jan 14 07:45:35 DFL9 gvfsd-network[2142]: Couldn't create directory monitor on smb://x-gnome-default-workgroup/. Error: Opération non prise en charge par le moteur
Jan 14 07:45:35 DFL9 gvfsd-network[2142]: Couldn't create directory monitor on smb://x-gnome-default-workgroup/. Error: Opération non prise en charge par le moteur

Jan 14 07:41:39 DFL9 kernel: [    0.000000] tsc: Fast TSC calibration failed
Jan 14 07:41:39 DFL9 kernel: [    0.930817] gpio_generic: module verification failed: signature and/or required key missing - tainting kernel
Jan 14 07:41:39 DFL9 avahi-daemon[601]: chroot.c: open() failed: No such file or directory
Jan 14 07:41:39 DFL9 avahi-daemon[597]: Failed to open /etc/resolv.conf: Invalid argument
Jan 14 07:41:39 DFL9 colord[662]: failed to get session [pid 591]: Aucun périphérique ou adresse
Jan 14 07:41:39 DFL9 colord[662]: failed to get session [pid 591]: Aucun périphérique ou adresse

Relevé aussi

journalctl -r -p err

-- Logs begin at Mon 2019-01-14 07:41:37 CET, end at Mon 2019-01-14 08:40:02 CET. --
janv. 14 07:42:37 DFL9 pulseaudio[1639]: [pulseaudio] pid.c: Daemon already running.
janv. 14 07:41:39 DFL9 avahi-daemon[601]: chroot.c: open() failed: No such file or directory
janv. 14 07:41:37 DFL9 kernel: [drm:construct [amdgpu]] *ERROR* construct: Invalid Connector ObjectID from Adapter Service for connector index:2! type 0 expected 3
janv. 14 07:41:37 DFL9 kernel: kvm: disabled by bios
janv. 14 07:41:37 DFL9 kernel: sp5100-tco sp5100-tco: Watchdog hardware is disabled
janv. 14 07:41:37 DFL9 kernel: AMD-Vi: Unable to write to IOMMU perf counter.

Autre relevé

lspci | grep VGA

08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Device 15dd (rev c6)


Pourtant le lancement de VLC sur une vidéo part encore à la trappe....
Je tente la suppression-réinstallation des paquets vlc* : ça ne résous rien.
J'ai installé "mpv media player" (MPlayer) : il fonctionne bien ...
J'ai lancé VLC sur le fichier vidéo directement en commande dans un terminal : il me dit que je doit utiliser cvlc !
Obéissant je le fais et ça marche !...
Du coup sur clic droit / ouvrir avec, je crée la commande personnalisée avec cvlc : ça marche !...

Donc un problème d'association de VLC à voir
Je vais voir ça (forums, comment fonctionne le buster-xfce-live où MPlayer et natif, VLC absent mais s'installe bien et fonctionne correctement)
Donc pas de marche arrière, pas (encore ?) de passage à buster, je vais voir ce que ça donne en endurance.
à suivre...

Hors ligne

#38 14-01-2019 11:55:24

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour
c'est une catastrophe tes retours , ton gpu n'est pas pris en charge , voila pourquoi vlc ne fonctionne pas

tu a ceci

OpenGL renderer string: llvmpipe (LLVM 6.0, 128 bits)



alors que tu devrais avoir ceci

Device: AMD RAVEN (DRM 3.27.0, 4.19.0-1-amd64, LLVM 7.0.1) (0x15dd)


et ceci


lspci -k
 




08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] (rev c8)
  Subsystem: ASUSTeK Computer Inc. Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series]
  Kernel driver in use: amdgpu
  Kernel modules: amdgpu
 



moi il est pas question que je t'aide pour réparer Stretch (DFL9 buster amélioré ) , je boude  sad   neutral  neutral   neutral
je sais plus ou tu en est .......   roll  hmm

Hors ligne

#39 14-01-2019 23:39:42

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonsoir,
une catastrophe ?  non, pas du tout, mon système fonctionne depuis plus de 24H sans aucun souci et la lecture des vidéos se fait comme avant en passant par "ouvrir avec cvlc"... Certainement encore quelques points à perfectionner

@robert2a : merci de suivre ce sujet; désolé d'avoir abusé de ta patience... Je suis du genre tortue mais qui avance...

De toute façon je vais faire maintenant un comparatif approfondi entre mon système DFL9+kernel-4.19 et buster-xfce-live  (lui aussi en 4.19, debian-live-testing-amd64-xfce.iso  du  2019-01-07 avec VLC ajouté) car l'absence du firmxare realteck ne gêne pas pour ça.

Je me demande si tout ne serait pas OK quand même : "Kernel driver in use: amdgpu" vu la-dedans, mais je préfère ne rien censurer. Voici le rapport complet.

lspci -k

00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15d0
    Subsystem: ASUSTeK Computer Inc. Device 876b
00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD] Device 15d1
    Subsystem: Advanced Micro Devices, Inc. [AMD] Device 15d1
00:01.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 1452
00:01.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15d3
    Kernel driver in use: pcieport
00:08.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 1452
00:08.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15db
    Kernel driver in use: pcieport
00:08.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 15dc
    Kernel driver in use: pcieport
00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 61)
    Subsystem: ASUSTeK Computer Inc. FCH SMBus Controller
    Kernel driver in use: piix4_smbus
    Kernel modules: i2c_piix4, sp5100_tco
00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 51)
    Subsystem: ASUSTeK Computer Inc. FCH LPC Bridge
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15e8
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15e9
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ea
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15eb
    Kernel driver in use: k10temp
    Kernel modules: k10temp
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ec
00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ed
00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ee
00:18.7 Host bridge: Advanced Micro Devices, Inc. [AMD] Device 15ef
01:00.0 USB controller: Advanced Micro Devices, Inc. [AMD] Device 43bb (rev 02)
    Subsystem: ASMedia Technology Inc. Device 1142
    Kernel driver in use: xhci_hcd
    Kernel modules: xhci_pci
01:00.1 SATA controller: Advanced Micro Devices, Inc. [AMD] Device 43b7 (rev 02)
    Subsystem: ASMedia Technology Inc. Device 1062
    Kernel driver in use: ahci
    Kernel modules: ahci
01:00.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 43b2 (rev 02)
    Kernel driver in use: pcieport
02:00.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 43b4 (rev 02)
    Kernel driver in use: pcieport
02:04.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 43b4 (rev 02)
    Kernel driver in use: pcieport
02:05.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 43b4 (rev 02)
    Kernel driver in use: pcieport
02:06.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 43b4 (rev 02)
    Kernel driver in use: pcieport
02:07.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Device 43b4 (rev 02)
    Kernel driver in use: pcieport
03:00.0 USB controller: ASMedia Technology Inc. ASM1142 USB 3.1 Host Controller
    Subsystem: ASUSTeK Computer Inc. ASM1142 USB 3.1 Host Controller
    Kernel driver in use: xhci_hcd
    Kernel modules: xhci_pci
06:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 15)
    Subsystem: ASUSTeK Computer Inc. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
    Kernel driver in use: r8169
    Kernel modules: r8169
07:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8192CE PCIe Wireless Network Adapter (rev 01)
    Subsystem: ASUSTeK Computer Inc. RTL8192CE PCIe Wireless Network Adapter
    Kernel driver in use: rtl8192ce
    Kernel modules: rtl8192ce
08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Device 15dd (rev c6)
    Subsystem: ASUSTeK Computer Inc. Device 876b
    Kernel driver in use: amdgpu
    Kernel modules: amdgpu
08:00.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] Device 15de
    Subsystem: ASUSTeK Computer Inc. Device 876b
    Kernel driver in use: snd_hda_intel
    Kernel modules: snd_hda_intel
08:00.2 Encryption controller: Advanced Micro Devices, Inc. [AMD] Device 15df
    Subsystem: Advanced Micro Devices, Inc. [AMD] Device 15df
08:00.3 USB controller: Advanced Micro Devices, Inc. [AMD] Device 15e0
    Subsystem: ASUSTeK Computer Inc. Device 876b
    Kernel driver in use: xhci_hcd
    Kernel modules: xhci_pci
08:00.4 USB controller: Advanced Micro Devices, Inc. [AMD] Device 15e1
    Subsystem: ASUSTeK Computer Inc. Device 876b
    Kernel driver in use: xhci_hcd
    Kernel modules: xhci_pci
08:00.6 Audio device: Advanced Micro Devices, Inc. [AMD] Device 15e3
    Subsystem: ASUSTeK Computer Inc. Device 86c7
    Kernel driver in use: snd_hda_intel
    Kernel modules: snd_hda_intel
09:00.0 SATA controller: Advanced Micro Devices, Inc. [AMD] FCH SATA Controller [AHCI mode] (rev 61)
    Subsystem: ASUSTeK Computer Inc. FCH SATA Controller [AHCI mode]
    Kernel driver in use: ahci
    Kernel modules: ahci

en plus détaillé (lspci -v) seulement pour le controleur VGA

08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Device 15dd (rev c6) (prog-if 00 [VGA controller])
    Subsystem: ASUSTeK Computer Inc. Device 876b
    Flags: bus master, fast devsel, latency 0, IRQ 71
    Memory at e0000000 (64-bit, prefetchable) [size=256M]
    Memory at f0000000 (64-bit, prefetchable) [size=2M]
    I/O ports at f000 [size=256]
    Memory at fe400000 (32-bit, non-prefetchable) [size=512K]
    [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
    Capabilities: <access denied>
    Kernel driver in use: amdgpu
    Kernel modules: amdgpu

De plus, dans le syslog du démarrage de ce matin, je retiens ces quelques lignes :

Jan 14 07:41:39 DFL9 kernel: [    3.672405] [drm] amdgpu kernel modesetting enabled.
Jan 14 07:41:39 DFL9 kernel: [    3.683253] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_gpu_info.bin
Jan 14 07:41:39 DFL9 kernel: [    3.706499] amdgpu 0000:08:00.0: VRAM: 2048M 0x000000F400000000 - 0x000000F47FFFFFFF (2048M used)
Jan 14 07:41:39 DFL9 kernel: [    3.706501] amdgpu 0000:08:00.0: GART: 1024M 0x000000F500000000 - 0x000000F53FFFFFFF
Jan 14 07:41:39 DFL9 kernel: [    3.707673] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_asd.bin
Jan 14 07:41:39 DFL9 kernel: [    3.708218] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_pfp.bin
Jan 14 07:41:39 DFL9 kernel: [    3.708592] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_me.bin
Jan 14 07:41:39 DFL9 kernel: [    3.708821] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_ce.bin
Jan 14 07:41:39 DFL9 kernel: [    3.709181] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_rlc.bin
Jan 14 07:41:39 DFL9 kernel: [    3.710075] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_mec.bin
Jan 14 07:41:39 DFL9 kernel: [    3.710988] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_mec2.bin
Jan 14 07:41:39 DFL9 kernel: [    3.713153] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_sdma.bin
Jan 14 07:41:39 DFL9 kernel: [    3.713158] [drm] use_doorbell being set to: [true]
Jan 14 07:41:39 DFL9 kernel: [    3.714684] amdgpu 0000:08:00.0: firmware: direct-loading firmware amdgpu/raven_vcn.bin

alors, peut-être ce warning ?

Jan 14 07:41:39 DFL9 kernel: [    3.924459] WARNING: CPU: 4 PID: 354 at /build/linux-Ut6wTa/linux-4.19.12/drivers/gpu/drm/amd/amdgpu/../display/dc/calcs/dcn_calcs.c:1372 dcn_bw_update_from_pplib+0x15b/0x290 [amdgpu]

en tout cas aucun "error" ou "failed" concernant amdgpu...

Peut-être une différence de comportement entre mon noyau 4.19 backport (seulement 4.19+101) et le tien  (4.20* ou 5.0.rc*) ou bien un paquet pas au bon niveau (il suffit qu'il aie changé de nom) ? J'avais déjà oublié de signaler une nouvelle version du Bios (Version 4207 2018/12/13), j'ai peut-être loupé une nouvelle évolution d'un paquet. Si c'est le cas, je le verrai dans mon comparatif avec .buster

Je poursuis donc mes investigations sereinement car il n'y a aucune doléance familiale.... Jusque là, tout va bien.

Hors ligne

#40 15-01-2019 06:32:15

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Si tu fais

 update-pciids


ça n’améliore pas le retour de lspci ensuite ?

Hors ligne

#41 15-01-2019 08:26:11

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

@chalu
non , il a des soucis de paquets (certainement aussi la version du serveur X )
encore une fois smile
noyau 4.18 ou supérieur
mesa 18.xx
firmware "firmware-amd-graphics" stretch-backports ou buster
la version de X ne doit pas être disponible sur les backports (actuelle sur Buster)

mais je sais pas ou il en est avec les versions sur DF9 , ...........  tongue

ps: il y a du mieux par rapport au #37 sur son #39

Dernière modification par robert2a (15-01-2019 08:29:43)

Hors ligne

#42 15-01-2019 20:43:24

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonsoir,

Bien vu robert2a, là où ça coince !

effectivement le fait que xserver-xorg-video-amdgpu soit en 1.2.0-1 (stretch), n'existe pas en backports, bien qu'en 18.1.0-1 sur buster et sid,  pourrait bien expliquer tout ça...
J'ai regardé avec synaptic si je pouvais le prendre en manuel depuis buster : niet !, trop de dépendances, trop de suppressions puis mises-à-niveau puis ré-installations (dont VLC !)

Je n'ai pas fait le bilan complet mais il y a aussi :
xserver-xorg-core (2:1.19.2-1) au lieu de (2:1.20.3-1)
mesa-utils (8.3.0-3) au lieu de (8.4.0-1)

Bien sûr, tout ça incite à envisager la migration vers buster, mais elle me semble présenter pas mal de risques.
J'ai activé les dépôts buster juste le temps de voir : synaptic signalait 450 paquets nouveaux, 1537 à mettre à jour et 23 à supprimer  !
Une installation de zéro serait peut-être plus judicieuse (les firmware ?).

En fait depuis juillet (l'intégration du noyau 4.16) mon DFL9 est très satisfaisant et rien ne presse. Je manque aussi un peu de temps...

C'est pourquoi, l'idée agitée ici au début, d'expérimenter buster en dual-boot, redevient d'actualité.
D'où mon regain d'intérêt pour le buster live en "poor install" avec persistance qui serait un demi-pas dans ce sens...
J'essaierai dès que j'aurais un peu de disponibilité !

En tout cas merci de votre support et de toutes les idées que vous apportez. Je ne serais pas parvenu à ce stade sans toutes vos aides.

Hors ligne

#43 20-01-2019 18:58:19

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour,
un semaine de fonctionnement, un seul plantage (en cours de travail, la souris a commencé à saccader et tout s'est bloqué en une dizaine de secondes), donc optimisme toujours de rigueur...

Hier, mise à niveau 18.2.8-2 de tous les paquets *mesa* arrivés en backports (synaptic) :
pas de grand changement de comportement, VLC démarre maintenant, mais je suspecte que ce n'est pas encore parfait (son, barres d'outils hors plein-écran,...).
Mais comme Media Player me donne toute satisfaction, j'ai laissé tomber VLC et plus rien ne me gêne.... Cela donne encore :

lspci | grep VGA

08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Device 15dd (rev c6)


J'ai refait des essais avec debian-live-testing-amd64-xfce.iso  du  2019-01-07 ; VLC y fonctionne bien et "Radeon Vega" apparaît :

lspci | grep VGA

08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] (rev c6)


Je pense donc que ce fil est "résolu", la solution en est d'adopter un noyau >= 4.19 et tous les paquets vidéo ou firmware listés précédemment, ce que les backports permettent maintenant.
Quant à moi, mes essais testing ne m'ont pas montré un intérêt à adopter buster... Je vais donc rester en backports.
Le choix de la migration / installation neuve se posera donc à l'apparition de buster stable mais avec certainement de la matière sur ce forum pour me guider.

merci.gifEncore un grand merci à tous et "en route pour de nouvelles aventures" (plagiat)

Edit à Gotlib : Mis les commandes user sous le BBCode Commande user du forum.

Hors ligne

#44 21-01-2019 14:56:15

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour

le firmware a été mit a jour ce matin (22 fichiers .bin rien que pour Raven)  en version 2019
nota: tous les firmwares , realtek , intel gpu , etc ......
quand a ceci


Quant à moi, mes essais testing ne m'ont pas montré un intérêt à adopter buster... Je vais donc rester en backports.
 


mais ceci montre le contraire

backports stretch
08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Device 15dd (rev c6)

J'ai refait des essais avec debian-live-testing-amd64-xfce.iso  du  2019-01-07 ; VLC y fonctionne bien et "Radeon Vega" apparaît
08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] (rev c6)



si ça te convient  wink

Dernière modification par robert2a (21-01-2019 14:57:03)

Hors ligne

#45 29-01-2019 20:14:59

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonsoir,
robert2a a montré une telle conviction et persévérance que j'ai eu un peu l'impression de décevoir mon maître et de rester au milieu du gué... J'ai poursuivi quelques essais...mrgreen.gif
Je crois que le résultat mérite de remonter sur le forum...
Le problème va être pour moi de le rendre synthétique et buvable... Merci de continuer à me supporter (dans tous les sens du terme !)

Le migration (= mise à niveau de tous mes paquets actuels) n'est pas à ma portée : synaptic devient tout rouge dès que j'envisage de toucher certains paquets.
Quand buster sera stable, soit des experts auront permis la transition et j'essaierai de suivre leurs instructions, soit je procéderai à une installation vierge et ré-appliquerai dessus ma configuration.

Mais en regardant paquet par paquet, j'ai constaté que

  • la plupart des "mesa" n'exigeaient que l'ajout de quelques paquets, aucune suppression... Donc selon moi, jouable en faisant dans la dentelle !
    Je les ai donc installés ( gcc-8-base, libllvm7, libva2,...) puis mis à niveau sans problème beaucoup des paquets impliqués dans ce sujet (firmware-amd-graphics, libgl1-mesa-glx, libgles2-mesa, mesa-va-drivers, mesa-vdpau-drivers,...)

  • Idem pour les "xserver" (dont xserver-common, xserver-xorg-core, xserver-xorg-video-radeon, xserver-xorg-video-vesa,...)

  • les "firmware" n'avaient plus de dépendances... J'ai les ai mis au niveau buster (dont amd64-microcode, firmware-realtek, firmware-samsung,...)

  • Idem pour quelques paquets "driver" (dont i965-va-driver, va-driver-all, vdpau-driver-all,...).


Je craignais de tout casser (retour arrière clonezilla prêt à servir!) mais non, redémarrage sans problème après chaque lot d'évolutions.

Par contre, devant l'ampleur des dégâts, je n'ai pas essayé le passage pour

  • VLC (je m'en fiche, MPlayer est une alternative que toute la maisonnée utilise maintenant sans bien avoir réalisé la substitution !)

  • libgl1-mesa-dri : il est resté en version 18.2.8-2~bpo9+1 (backports), au lieu de 18.3.2-1 (buster). ça me permet de comprendre et d'apprécier le formidable boulot (bpo9+1) d'adaptation en backports. Chapeau à ceux qui font ça !yes.gif



Cet hybride stretch-backports-buster tourne parfaitement depuis 3 jours... Pas plus de "failed" ni "error" qu'avant
Cependant toujours pas de "Radeon Vega Series" dans ce rapport

lspci | grep VGA

08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Device 15dd (rev c6)

Mais, par contre,  je relève le "Accelerated: yes" ci-dessous (mais pas de gamer dans la chaumière pour sentir une différence !)

glxinfo -B

name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: X.Org (0x1002)
    Device: AMD RAVEN (DRM 3.27.0, 4.19.0-0.bpo.1-amd64, LLVM 6.0.0) (0x15dd)
    Version: 18.2.8
    Accelerated: yes
    Video memory: 2048MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 4.5
    Max compat profile version: 4.4
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
Memory info (GL_ATI_meminfo):
    VBO free memory - total: 1778 MB, largest block: 1778 MB
    VBO free aux. memory - total: 3056 MB, largest block: 3056 MB
    Texture free memory - total: 1778 MB, largest block: 1778 MB
    Texture free aux. memory - total: 3056 MB, largest block: 3056 MB
    Renderbuffer free memory - total: 1778 MB, largest block: 1778 MB
    Renderbuffer free aux. memory - total: 3056 MB, largest block: 3056 MB
Memory info (GL_NVX_gpu_memory_info):
    Dedicated video memory: 2048 MB
    Total available memory: 5120 MB
    Currently available dedicated video memory: 1778 MB
OpenGL vendor string: X.Org
OpenGL renderer string: AMD RAVEN (DRM 3.27.0, 4.19.0-0.bpo.1-amd64, LLVM 6.0.0)
OpenGL core profile version string: 4.5 (Core Profile) Mesa 18.2.8
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 4.4 (Compatibility Profile) Mesa 18.2.8
OpenGL shading language version string: 4.40
OpenGL context flags: (none)
OpenGL profile mask: compatibility profile

OpenGL ES profile version string: OpenGL ES 3.2 Mesa 18.2.8
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20


J'ai aussi effectué quelques essais avec le dernier debian-live-testing-amd64-xfce.iso  du 2019-01-21  pas de doute, il marche bien mais je ne comprends pas bien :

08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] (rev c6)

et pourtant "Accelerated: no"
Enfin peu importe que ce soit dû au fonctionnement "live" ou pas, puisque mon hybride donne satisfaction à tous ses utilisateurs.

Encore merci à tousmerci.gif

Hors ligne

#46 01-02-2019 01:17:45

robert2a
Membre
Lieu : France
Inscription : 15-11-2014

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour

fait une mise a jour de pciids


update-pciids
 


pour ta commande  "lspci | grep VGA"

robert2a a montré une telle conviction et persévérance


tu remarque que je dis plus rien  roll
moi je suis prêt pour la future testing de 2019  wink


#bullseye11
#deb http://security.debian.org/debian-security bullseye/updates main contrib non-free
#deb http://deb.debian.org/debian/ bullseye-updates main contrib non-free
#deb http://deb.debian.org/debian bullseye main contrib non-free
 


tongue

Hors ligne

#47 03-02-2019 17:58:35

CloDeClo
Membre
Distrib. : Debian-Facile-9-6-amd64 (stretch à jour)
Noyau : 4.19.0-0.bpo.1-amd64 (backports)
(G)UI : Debian-Facile-9 (XFCE) "testing" pour l'affichage
Inscription : 24-02-2017

Re : instabilité de DFL9 sur PC en AMD Ryzen 5 & chipset B350 [résolu]

Bonjour
yes.gifbien vu robert2a et aussi chalu (dont je n'avais pas du tout compris la contribution). Suite à mise-à-jour de la liste des PCI ID, j'obtiens bien :

08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series] (rev c6)


merci.gifEncore merci et bravo d'avoir réussi à m'amener jusque là : cela frise l'exploit !
Moi, je vais juste essayer de suivre le testing actuel et d'y passer dès qu'il sera stable. Chacun à son niveau.old_geek.gif
Aller plus avant risquerait d'embouteiller ce forum. Je crois que les échanges sur ce fil le montrent bien...

PS : mon hybride plante quand même de temps en temps (2 fois sur ces 8 jours), mais plus du tout en liaison avec la veille. C'est plutôt en cours de travail, ça saccade, rame et se bloque, un peu comme une sorte d'asphyxie... Très supportable !

Hors ligne

Pied de page des forums